{ config
, lib
, pkgs
, ...
}:

with lib;
let
  cfg = config.my.bin;
  cycleSinks = import ./_cycleSinks.nix { inherit pkgs; };
  protonge = import ./_protonge.nix { inherit pkgs; };
  share = import ./_share.nix { inherit pkgs; };
  sxhkdHelp = import ./_sxhkdHelp.nix { inherit pkgs; };
in
{
  options.my.bin.enable = mkEnableOption "bin";

  config = mkIf cfg.enable {
    environment.systemPackages = [
      cycleSinks
      protonge
      share
      sxhkdHelp
    ];
  };
}
