{ config
, lib
, pkgs
, ...
}:

with lib;
let
  cfg = config.my.programs.chromium;
in
{
  options.my.programs.chromium = {
    enable = mkEnableOption "chromium";
    package = mkOption {
      type = types.package;
      default = pkgs.stable.chromium;
      defaultText = "pkgs.chromium";
      description = "Chromium package to install.";
    };
  };

  config = mkIf cfg.enable {
    programs.chromium.enable = true;
    environment.systemPackages = [ cfg.package ];
  };
}
