{ config
, lib
, pkgs
, ...
}:

with lib;
let
  cfg = config.my.programs.miracast;
in
{
  options.my.programs.miracast.enable = mkEnableOption "miracast";

  config = mkIf cfg.enable {
    networking.firewall = {
      allowedTCPPorts = [ 7236 7250 ];
      allowedUDPPorts = [ 7236 5353 ];
    };
    users.users.moritz.packages = with pkgs; [
      gnome-network-displays
    ];
  };
}
