{ inputs, lib }:

_: prev:
with lib.my;
{
  vimPlugins = prev.vimPlugins // {
    smartcolumn-nvim = prev.vimUtils.buildVimPlugin {
      pname = "smartcolumn-nvim";
      version = mkVersionInput inputs.smartcolumn-nvim;
      src = inputs.smartcolumn-nvim;
    };

    telekasten-nvim = prev.vimUtils.buildVimPlugin {
      pname = "telekasten-nvim";
      version = mkVersionInput inputs.telekasten-nvim;
      src = inputs.telekasten-nvim;
    };

    actions-preview-nvim = prev.vimUtils.buildVimPlugin {
      pname = "actions-preview-nvim";
      version = mkVersionInput inputs.actions-preview-nvim;
      src = inputs.actions-preview-nvim;
    };

    nvim-treesitter = prev.vimPlugins.nvim-treesitter.overrideAttrs (_: {
      version = mkVersionInput inputs.nvim-treesitter;
      src = inputs.nvim-treesitter;
    });

    statuscol-nvim = prev.vimPlugins.statuscol-nvim.overrideAttrs (_: {
      version = mkVersionInput inputs.statuscol-nvim;
      src = inputs.statuscol-nvim;
    });

    # HACK: to fix error in nixpkgs version of nvim-lspconfig
    nvim-lspconfig = prev.vimPlugins.nvim-lspconfig.overrideAttrs (_: {
      version = mkVersionInput inputs.nvim-lspconfig;
      src = inputs.nvim-lspconfig;
    });

    nvim-puppeteer = prev.vimUtils.buildVimPlugin {
      pname = "nvim-puppeteer";
      version = mkVersionInput inputs.nvim-puppeteer;
      src = inputs.nvim-puppeteer;
    };

    null-ls-nvim = prev.vimPlugins.null-ls-nvim.overrideAttrs (_: {
      version = mkVersionInput inputs.none-ls-nvim;
      src = inputs.none-ls-nvim;
    });

    neotest-python = prev.vimPlugins.neotest-python.overrideAttrs (_: {
      version = mkVersionInput inputs.neotest-python;
      src = inputs.neotest-python;
    });

    gen-nvim = prev.vimUtils.buildVimPlugin {
      pname = "gen-nvim";
      version = mkVersionInput inputs.gen-nvim;
      src = inputs.gen-nvim;
    };
  };
}
